Bug 151073 - MacOS appstore LibreOffice fails to provide means to create new database in default configuration settings.
Summary: MacOS appstore LibreOffice fails to provide means to create new database in d...
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
7.3.6.2 release
Hardware: All macOS (All)
: medium normal
Assignee: Christian Lohmaier
URL:
Whiteboard: target:7.5.0 target:7.3.8 target:7.3....
Keywords:
Depends on:
Blocks:
 
Reported: 2022-09-20 08:24 UTC by Alex Thurgood
Modified: 2022-12-21 12:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2022-09-20 08:24:17 UTC
Description:
1) Paid, downloaded and installed LibreOffice from the macOS AppStore.

2) File > New > Database

3) On Database creation wizard dialog first screen, a message is displayed:
"Il n'est pas possible de créer une nouvelle base de données, car ni HSQLDB, ni Firebird ne sont disponibles dans cette installation."


4) No new database creation available. 


Version: 7.3.6.2 / LibreOffice Community
Build ID: c28ca90fd6e1a19e189fc16c05f8f8924961e12e
CPU threads: 8; OS: Mac OS X 12.6; UI render: default; VCL: osx
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded

Steps to Reproduce:
See above.

Actual Results:
No new database can be made in the default settings of the application from the appstore.

Expected Results:
Database creation should be enabled


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 7.3.6.2 / LibreOffice Community
Build ID: c28ca90fd6e1a19e189fc16c05f8f8924961e12e
CPU threads: 8; OS: Mac OS X 12.6; UI render: default; VCL: osx
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded
Comment 1 Alex Thurgood 2022-09-20 08:28:35 UTC
Note that Firebird database creation functionality is only available when the experimental functionality option is ticked under the Advanced settings dialog.
Comment 2 Xisco Faulí 2022-09-21 07:57:49 UTC
From the public announcement < https://blog.documentfoundation.org/blog/2022/09/19/the-document-foundation-releases-libreoffice-on-apples-mac-app-store/ >

LibreOffice packaged for the Mac App Store is based on the same source code, but does not include Java – because external dependencies are not allowed on the store – and therefore limits the functionalities of LibreOffice Base. The software is also supported by volunteers who donate their time to help users.
Comment 3 Alex Thurgood 2022-09-21 08:29:26 UTC
(In reply to Xisco Faulí from comment #2)


It didn't even allow me to create an embedded Firebird DB (see error message in dialog which I posted), which has nothing to do with Java, until I activated the experimental options.

The app store description says:

"The suite includes Writer (word processing), Calc (spreadsheets), Impress (presentations), Draw (vector graphics and flowcharts), Base (databases), and Math (formula editing)."

Where does it say anywhere in that product description that you can't actually create a database in the default configuration ?
Comment 4 Alex Thurgood 2022-09-21 08:42:04 UTC
(In reply to Alex Thurgood from comment #3)
> (In reply to Xisco Faulí from comment #2)
> 
> 
> It didn't even allow me to create an embedded Firebird DB (see error message
> in dialog which I posted), which has nothing to do with Java, until I
> activated the experimental options.
> 
> The app store description says:
> 
> "The suite includes Writer (word processing), Calc (spreadsheets), Impress
> (presentations), Draw (vector graphics and flowcharts), Base (databases),
> and Math (formula editing)."
> 
> Where does it say anywhere in that product description that you can't
> actually create a database in the default configuration ?

I would even add, which database creation does it support, out of the box ?
Currently, none. 

That makes for a kind of misleading product description for a product that TDF is selling.

I don't have an issue with the principle of paying for FOSS software, but I do have an issue with the way the product features are communicated (or not, as the case may be) on the commercial distribution channel, where things shouldn't be stated that aren't possible, or are misleading.
Comment 5 Xisco Faulí 2022-09-21 09:16:16 UTC
firebird database creation is disabled by default, same as with the normal version you can download from libreoffice.org. Why should it be different ?
Comment 6 Alex Thurgood 2022-09-21 11:17:28 UTC
(In reply to Xisco Faulí from comment #5)
> firebird database creation is disabled by default, same as with the normal
> version you can download from libreoffice.org. Why should it be different ?

The difference is that:
 - people are paying for it from the app store;
Comment 7 Alex Thurgood 2022-09-21 11:22:41 UTC
(In reply to Alex Thurgood from comment #6)

The difference is that:

- people are paying for it from the app store;

- the product description on the app store implies that you can create databases.

- the user who downloads from the app store doesn't have the luxury of being able to create a hsqldb embedded database.

The product blurb doesn't say that you can only create a database if you activate the experimental features. I think it should be remembered that the app store doesn't just target people who know what LibreOffice is, but also random users who have acquired a Mac and are looking for an office suite with no knowledge of LO.

My suggestion would be to either make embedded Firebird DB available by default in the app store version, or else indicate that database creation functionality is experimental and requires activation.
Comment 8 Xisco Faulí 2022-09-22 18:23:51 UTC
from today's ESC meeting:

* MacOS appstore LibreOffice fails to provide means to create new database in default configuration settings. ( Xisco )
    + https://bugs.documentfoundation.org/show_bug.cgi?id=151073
    + no java, so no database by default
    + firebird is experimental
    + firebird to be non-experimental in appstore mode?
      + would be technically possible (Cloph)
    + useful to get more test coverage? (Miklos)
      + makes sense, why not? (Cloph)
    + why was it marked as experimental, wasn't that intentional? (Stephan)
      + there has been some fixes, though (Xisco)
    => no objections for creating new DBs in the app store case (all)
    AI: enable it (Cloph)
Comment 9 Alex Thurgood 2022-09-23 16:46:41 UTC
(In reply to Xisco Faulí from comment #8)
> from today's ESC meeting:
> 


>     => no objections for creating new DBs in the app store case (all)
>     AI: enable it (Cloph)

Thanks Cisco !

That should help reduce the number of complaints we'd end up having to field on QA that the database module doesn't work.

Additionally, while embedded Firebird is still quite sucky in many ways compared to embedded hsqldb, I would agree with Miklos that at least we might more test coverage (we already have a number of registered bug reports anyway, so most of the basic limitations should already be covered).

The next biggest issue with the macOS AppStore version then, is how to produce reports ? That one isn't going to go away if no alternative to jfreereport can be found. Still, good news :-)
Comment 10 Julien Nabet 2022-09-25 10:53:51 UTC
I hadn't seen there were more comments here.

This external dependency constraint on appstore is a pity, there could be a warning to indicate that LO needs Java for features like database but we can't do anything about it so I'll stop complaining here.

About Firebird part, I sent a message on dev mailing list about Firebird:
https://lists.freedesktop.org/archives/libreoffice/2022-September/089407.html.
In brief, I'm not sure we're ready for making Firebird non experimental.
Comment 11 Commit Notification 2022-10-23 10:23:03 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d0a20b67ae7ee1691409b4a1665853a182c46b7b

tdf#151073 - enable firebird for appstore build w/o experimental mode

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2022-10-26 10:57:03 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/9eb10478a18259d3ba47d5fc74395887f7a4f9d5

tdf#151073 - enable firebird for appstore build w/o experimental mode

It will be available in 7.3.8.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2022-10-27 10:07:41 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "libreoffice-7-3-7":

https://git.libreoffice.org/core/commit/52b7aa87db07c56885efc57d6f7f4d2ea9677ec1

tdf#151073 - enable firebird for appstore build w/o experimental mode

It will be available in 7.3.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2022-11-01 10:16:27 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/6469cb727410eaf088fc4e2c716e00f015cb0551

tdf#151073 - enable firebird for appstore build w/o experimental mode

It will be available in 7.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Alex Thurgood 2022-11-03 14:14:13 UTC
How to test the fix with the AppStore release 7.3.7 ? I don't think it has been pushed to the AppStore yet ?